0

I have this error on GeoServer:

Error creating data store, check the parameters. Error message: Unable to obtain connection: Cannot create PoolableConnectionFactory (The authentication type 10 is not supported. Check that you have configured the pg_hba.conf file to include the client's IP address or subnet, and that it is using an authentication scheme supported by the driver.)

How do I solve this error?

3
  • 1
    Did you check your pg_hba file like the message says? Please add the relevant line in your question
    – Ian Turton
    Feb 25, 2021 at 19:46
  • Yes , but I still have the same issue
    – George
    Feb 25, 2021 at 20:04
  • Please add the relevant line in your question - we need to know what you have set as your authentication type
    – Ian Turton
    Feb 26, 2021 at 9:37

1 Answer 1

1

This is due to a mismatch between the PostgreSQL JDBC driver available in GeoServer and the authentication setup in PostgreSQL. I'm going to guess you upgraded to PostgreSQL 13 but have an old(er?) GeoServer release.

Options:

  • Try out the latest GeoServer version available
  • Re-configure your authentication to use MD5
  • Keep the GeoServer version, and replace the JDBC driver found in WEB-INF/lib. Mind, no guarantee it will work, it's going to be an untested combination.

See also: https://stackoverflow.com/questions/64210167/unable-to-connect-to-postgress-db-due-to-the-authentication-type-10-is-not-suppo

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.